BEROctetStringParser (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.asn1

## Class BEROctetStringParser

- java.lang.Object
- - org.bouncycastle.asn1.BEROctetStringParser

- All Implemented Interfaces:
    ASN1Encodable, ASN1OctetStringParser, InMemoryRepresentable

      public class BEROctetStringParser
      extends java.lang.Object
      implements ASN1OctetStringParser

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ASN1Primitive` | `getLoadedObject()` Get the in-memory representation of the ASN.1 object.
    `java.io.InputStream` | `getOctetStream()` Return the content of the OCTET STRING as an InputStream.
    `ASN1Primitive` | `toASN1Primitive()` Return an object, possibly constructed, of ASN.1 primitives

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getOctetStream

          public java.io.InputStream getOctetStream()

      Description copied from interface: `ASN1OctetStringParser`
      Return the content of the OCTET STRING as an InputStream.
      Specified by:
        `getOctetStream` in interface `ASN1OctetStringParser`
      Returns:
        an InputStream representing the OCTET STRING's content.

    - #### getLoadedObject

          public ASN1Primitive getLoadedObject()
                                        throws java.io.IOException

      Description copied from interface: `InMemoryRepresentable`
      Get the in-memory representation of the ASN.1 object.
      Specified by:
        `getLoadedObject` in interface `InMemoryRepresentable`
      Throws:
        `java.io.IOException` - for bad input data.

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from interface: `ASN1Encodable`
      Return an object, possibly constructed, of ASN.1 primitives
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Returns:
        an ASN.1 primitive.